from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean

Htop_V0_1_0 = CommandToolBuilder(tool="htop", base_command=["htop"], inputs=[ToolInput(tag="in_emulate_hmm_hmmer", input_type=Boolean(optional=True), prefix="-f", doc=InputDocumentation(doc=": emulate HMM fragment search (HMMER1 specific).")), ToolInput(tag="in_force_insert_scores", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc=": force insert extension scores to zero.")), ToolInput(tag="in_impose_limit_line", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc=": do not impose limit on line length.")), ToolInput(tag="in_assume_input_be", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc=": assume input to be HMMER1 format (default: HMMER2).")), ToolInput(tag="in_implement_semiglobal_alignment", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc=": implement semiglobal alignment.")), ToolInput(tag="in_value_hmmer_base_default", input_type=Boolean(optional=True), prefix="-B", doc=InputDocumentation(doc="<value>:     (HMMER1 specific)\nnormalization logarithmic base (default: 2.0).")), ToolInput(tag="in_valuelevel_zero_cutoff", input_type=Boolean(optional=True), prefix="-C", doc=InputDocumentation(doc="<value>:\nlevel zero cut-off value (default: 8.5).")), ToolInput(tag="in_value_score_default", input_type=Boolean(optional=True), prefix="-F", doc=InputDocumentation(doc="<value>:     (HMMER2 specific)\noutput score multiplier (default: 100).")), ToolInput(tag="in_value_only_effective", input_type=Boolean(optional=True), prefix="-H", doc=InputDocumentation(doc="<value>:     (only effective with option -s)\ninitiation/termination score (default: *).")), ToolInput(tag="in_value_hmmer_specificscore_default", input_type=Boolean(optional=True), prefix="-L", doc=InputDocumentation(doc="<value>:     (HMMER1 specific)\nscore logarithmic base (default: 1.0233739).")), ToolInput(tag="in_valuenumber_unprotected_residues", input_type=Boolean(optional=True), prefix="-M", doc=InputDocumentation(doc="<value>:\nnumber of unprotected residues at end of profile (default: 5).")), ToolInput(tag="in_valuepercent_profile_length", input_type=Boolean(optional=True), prefix="-P", doc=InputDocumentation(doc="<value>:\npercent profile length not included in protected area (default: 0).")), ToolInput(tag="in_valueodds_ratio_unknown", input_type=Boolean(optional=True), prefix="-Q", doc=InputDocumentation(doc="<value>:\nodds ratio of unknown residues (default: 0.8).")), ToolInput(tag="in_fhilosbcfhlmpq", input_type=Boolean(optional=True), prefix="-fhilosBCFHLMPQ", doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Htop_V0_1_0().translate("wdl", allow_empty_container=True)

